POST https://webhook.example.com

Picking Status Update (retail only)

When a store process order picking status updates, this webhook can be set to receive these events.

Attribute Meaning Type
eventId Unique identifier of the picking status update String
eventType e.g. "PICKING_STATUS_UPDATE" Enum
eventData.channelOrderId Unique identifier of the order, as originally submitted by the ordering channel String
eventData.status Current picking status as communicated by the store operator Enum
eventData.rejectReason Where status is rejected, this will cover any supplied reason String

Picking Status

Status Meaning
PICKING_STARTED The process of picking has been initiated
PICKING_REJECTED The picking process will not proceed
PICKING_DONE The process of picking is completed

Responses

  • 200 application/json

    Ok

POST /retailEvents
Response examples (200)
{
  "eventId": "5b****71c6489f0029****d4",
  "eventType": "PICKING_STATUS_UPDATE",
  "eventData": {
    "channelLink": "61********************c3",
    "channelOrderId": "TEST******4206",
    "status": "PICKING_STARTED"
  }
}
{
  "eventId": "5b****71c6489f0029****d4",
  "eventType": "PICKING_STATUS_UPDATE",
  "eventData": {
    "channelLink": "61********************c3",
    "channelOrderId": "TEST******4206",
    "status": "PICKING_REJECTED",
    "rejectReason": "Items not available"
  }
}
{
  "eventId": "5b****71c6489f0029****d4",
  "eventType": "PICKING_STATUS_UPDATE",
  "eventData": {
    "channelLink": "61********************c3",
    "channelOrderId": "TEST******4206",
    "status": "PICKING_DONE"
  }
}